
Infrastructure - Task #152

Stub out CN servlet

2009-12-18 02:09 - Dave Vieglais

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CCI-0.3 Deployed   

Milestone: None Story Points:  

Product Version: *   

Description

Create structure and stub out the services for the CN service to support version 0.3 API.

Implementat using Java servlets, version compatibility with currently deployed Metacat.

Backend connection with Metacat should be designed with consideration that an alternate object store may be used at some point. 

Similarly for the search mechanism using Mercury.

REST API as described at http://mule1.dataone.org/ArchitectureDocs/REST_interface.html

History

#1 - 2010-01-20 16:10 - Dave Vieglais

Initial layout being undertaken by Waltz (#188).

#2 - 2010-02-11 18:06 - Matthew Jones

Rob Waltz already stubbed this out in the cn_service module.  Reassigning to him to close when ready.

#3 - 2010-02-18 01:25 - Dave Vieglais

- Status changed from In Progress to Closed
